Reference record for OID 1.3.6.1.4.1.3582

Parent
1.3.6.1.4.1 (enterprise, enterprises, ldap-enterprise, vendor-objects)
Node code
3582
Node names
  • lsi
  • perc
  • lsiSwitchRegModule
Numeric OID
1.3.6.1.4.1.3582
URN notation
urn:oid:1.3.6.1.4.1.3582
Type
OBJECT IDENTIFIER
ASN.1 notation

{1 3 6 1 4 1 3582}

  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) lsi(3582)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) perc(3582)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) lsiSwitchRegModule(3582)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprises(1) lsi(3582)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprises(1) perc(3582)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprises(1) lsiSwitchRegModule(3582)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) ldap-enterprise(1) lsi(3582)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) ldap-enterprise(1) perc(3582)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) ldap-enterprise(1) lsiSwitchRegModule(3582)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) vendor-objects(1) lsi(3582)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) vendor-objects(1) perc(3582)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) vendor-objects(1) lsiSwitchRegModule(3582)}
  • {iso(1) org(3) dod(6) internet(1) private(4) enterprise(1) lsi(3582)}
  • {iso(1) org(3) dod(6) internet(1) private(4) enterprise(1) perc(3582)}
  • {iso(1) org(3) dod(6) internet(1) private(4) enterprise(1) lsiSwitchRegModule(3582)}
  • {iso(1) org(3) dod(6) internet(1) private(4) enterprises(1) lsi(3582)}
  • Additional combinations skipped.
OID-IRI notation
  • /1/3/6/1/4/1/3582
  • /ISO/Identified-Organization/6/1/4/1/3582
  • /ISO/3/6/1/4/1/3582
Named path variants
  • /iso/identified-organization/dod/internet/private/enterprise/lsi
  • /iso/identified-organization/dod/internet/private/enterprise/perc
  • /iso/identified-organization/dod/internet/private/enterprise/lsiSwitchRegModule
  • /iso/identified-organization/dod/internet/private/enterprises/lsi
  • /iso/identified-organization/dod/internet/private/enterprises/perc
  • /iso/identified-organization/dod/internet/private/enterprises/lsiSwitchRegModule
  • /iso/identified-organization/dod/internet/private/ldap-enterprise/lsi
  • /iso/identified-organization/dod/internet/private/ldap-enterprise/perc
  • /iso/identified-organization/dod/internet/private/ldap-enterprise/lsiSwitchRegModule
  • /iso/identified-organization/dod/internet/private/vendor-objects/lsi
  • /iso/identified-organization/dod/internet/private/vendor-objects/perc
  • /iso/identified-organization/dod/internet/private/vendor-objects/lsiSwitchRegModule
  • /iso/org/dod/internet/private/enterprise/lsi
  • /iso/org/dod/internet/private/enterprise/perc
  • /iso/org/dod/internet/private/enterprise/lsiSwitchRegModule
  • /iso/org/dod/internet/private/enterprises/lsi
  • Additional combinations skipped.

Descriptions

Descriptions may differ between sources. The primary description is shown first.

Primary description: OID Repository

IANA Private Enterprise Numbers

LSI Logic

lsiSwitchRegModule — LSI SAS6160 MIB with qualified omitted root

This MIB defines the high level nodes for LSI switch MIBs. It maintains the high level portion of the LSI switch OID tree, and is imported by all LSI switch MIBs. Copyright (c) 2010 LSI Corporation.

Source records

lsiSwitchRegModule

Status in source: unspecified.

Names: lsiSwitchRegModule

Technical details
{
  "smi_kind": "MODULE-IDENTITY",
  "definition": [
    "lsiSwitchRegModule",
    "MODULE-IDENTITY",
    "LAST-UPDATED",
    [
      "literal",
      "223230313030353132303030305a22"
    ],
    "ORGANIZATION",
    "\"LSI, Corp.\"",
    "CONTACT-INFO",
    "\"Customer Technical Support LSI Corporation Web: www.lsi.com\"",
    "DESCRIPTION",
    "\"This MIB defines the high level nodes for LSI switch MIBs. It maintains the high level portion of the LSI switch OID tree, and is imported by all LSI switch MIBs. Copyright (c) 2010 LSI Corporation.\"",
    "REVISION",
    [
      "literal",
      "223230313030353132303030305a22"
    ],
    "DESCRIPTION",
    "\"Initial revision\"",
    "::=",
    "{",
    "enterprises",
    "3582",
    "}"
  ],
  "syntax_tree": [
    [
      "LAST-UPDATED",
      "201005120000Z"
    ],
    [
      "ORGANIZATION",
      "LSI, Corp."
    ],
    [
      "CONTACT-INFO",
      "Customer Technical Support LSI Corporation Web: www.lsi.com"
    ],
    [
      "DESCRIPTION",
      "This MIB defines the high level nodes for LSI switch MIBs. It maintains the high level portion of the LSI switch OID tree, and is imported by all LSI switch MIBs. Copyright (c) 2010 LSI Corporation."
    ],
    [
      "Revisions",
      [
        [
          "201005120000Z",
          [
            "DESCRIPTION",
            "Initial revision"
          ]
        ]
      ]
    ]
  ]
}
  • LSI SAS6160 MIB with qualified omitted root · Publisher's source file: Source package: SNMPMIBs.zip

    Module: LSI-SAS6160-MIB

    Published definition
    lsiSwitchRegModule MODULE-IDENTITY
        LAST-UPDATED "201005120000Z"
        ORGANIZATION "LSI, Corp."
        CONTACT-INFO "Customer Technical Support
                      LSI Corporation
                      Web: www.lsi.com"
    
        DESCRIPTION "This MIB defines the high level nodes for LSI switch MIBs.
                     It maintains the high level portion of the LSI switch OID
                     tree, and is imported by all LSI switch MIBs.
    
                     Copyright (c) 2010 LSI Corporation."
    
        REVISION    "201005120000Z" -- 12 MAY 2010
        DESCRIPTION "Initial revision"
    
        ::= {enterprises 3582}
    Module imports
    {'SNMPv2-TC': ['DisplayString', 'DateAndTime'], 'SNMPv2-SMI': ['MODULE-IDENTITY', 'OBJECT-IDENTITY', 'OBJECT-TYPE', 'NOTIFICATION-TYPE', 'Unsigned32'], 'RFC1213-MIB': ['system'], 'LSI-TEXTUAL-CONVENTION-MIB': ['lsiTcModule', 'SasAddress']}

    Source data warning: The published LSI SAS6160 MIB uses enterprises without importing it. This qualified interpretation uses the standard enterprise root from RFC 1155, while the original MIB defines enterprise 3582. Fujitsu distributes this LSI copy; applicability to a particular device or firmware is unconfirmed. Its imported LSI textual conventions are not present in the package and their type semantics were not independently verified. The MIB and source package are available for verification.

    · Download LSI SAS6160 MIB — saved edition 1

    Related source files and packages:


    Source location: LSI-SAS6160-MIB::lsiSwitchRegModule.
    Source version and references

    The published LSI SAS6160 MIB uses enterprises without importing it. This qualified interpretation uses the standard enterprise root from RFC 1155, while the original MIB defines enterprise 3582. Fujitsu distributes this LSI copy; applicability to a particular device or firmware is unconfirmed. Its imported LSI textual conventions are not present in the package and their type semantics were not independently verified. The MIB and source package are available for verification.; Publisher path: prim_supportcd/SVSSoftware/Software/ServerView/MIBs/SNMPMIBs.zip; 30,286 bytes

    Downloaded: 2026-11-03T07:10:57.991843+00:00.

perc

Status in source: unspecified.

Names: perc

Technical details
{
  "smi_kind": "OBJECT IDENTIFIER",
  "definition": [
    "perc",
    "OBJECT",
    "IDENTIFIER",
    "::=",
    "{",
    "enterprises",
    "3582",
    "}"
  ]
}
  • Preserved mibdepot archive

    Module: RAID-Adapter-MIB

    Published definition
    perc OBJECT IDENTIFIER ::= { enterprises 3582 }
    Module imports
    {'RFC-1212': ['OBJECT-TYPE'], 'RFC1155-SMI': ['enterprises', 'Counter'], 'RFC1213-MIB': ['DisplayString']}
    · Download Perc.mib.txt
    Source location: RAID-Adapter-MIB::perc.
    Source version and references

    Archived: 2026-10-19T00:22:08.972344+00:00.

Information from MIBdepot

Source file: Download MEGARAID.MIB.txt

File: lsi/MEGARAID.MIB.txt; 60,588 bytes

lsi OBJECT IDENTIFIER ::= { enterprises 3582 }

Information from Circitor

Source file: Download ServerView MIB copy — LSIRAID-IDE.MIB (saved edition 1) · Publisher's file

Module LSIRAID-IDE-MIB; IANA enterprise number(s) 3582. MIB copy distributed by Fujitsu in its ServerView package. The original vendor distribution and applicability to a particular device or firmware have not been independently confirmed; consult the named file and IANA enterprise registration.; Publisher path: prim_supportcd/SVSSoftware/Software/ServerView/MIBs/SNMPMIBs.zip; 30,545 bytes

Related source files and packages:

Source data warning: MIB copy distributed by Fujitsu in its ServerView package. The original vendor distribution and applicability to a particular device or firmware have not been independently confirmed; consult the named file and IANA enterprise registration.

Source file: Download ServerView MIB copy — LSI1030.MIB (saved edition 1) · Publisher's file

Module Adapter-1030-MIB; IANA enterprise number(s) 3582. MIB copy distributed by Fujitsu in its ServerView package. The original vendor distribution and applicability to a particular device or firmware have not been independently confirmed; consult the named file and IANA enterprise registration.; Publisher path: prim_supportcd/SVSSoftware/Software/ServerView/MIBs/SNMPMIBs.zip; 33,729 bytes

Source file: Download LSI-MegaRAID-SAS-MIB · Publisher's file

Copy from LibreNMS; 225,807 bytes

Vendor MIB copy from the LibreNMS archive.

Related source files and packages:

Source file: Download LSI-MegaRAID-SAS-MIB · Publisher's file

Copy from Observium Community; File: lsi/LSI-MegaRAID-SAS-MIB; 225,807 bytes

Vendor MIB copy from the Observium Community archive.

Related source files and packages:

Source file: Download LSI-megaRAID-SAS-IR-MIB · Publisher's file

Copy from Observium Community; File: lsi/LSI-megaRAID-SAS-IR-MIB; 165,032 bytes

Vendor MIB copy from the Observium Community archive.

Source file: Download RAID-Adapter-MIB.mib

Publisher path: Mibs; 60,628 bytes

lsi OBJECT IDENTIFIER ::= { enterprises 3582 }

First Registration Authority

Wisniewski Ken

Direct children (6)

OIDNameDirect childrenDescendantsDescription
1.3.6.1.4.1.3582.1 percRAID, megaRaid1220
1.3.6.1.4.1.3582.2 lsiRAID192
1.3.6.1.4.1.3582.3 megaIDE185
1.3.6.1.4.1.3582.4 storageComponents1623
1.3.6.1.4.1.3582.5 lsiStorageComponents1471
1.3.6.1.4.1.3582.200 lsiSwitchFamily177

Siblings (67350)

OIDNameDirect childrenDescendantsDescription
1.3.6.1.4.1.20001 2000100 Ukraine Trust Network
1.3.6.1.4.1.20002 2000200 RZNet AG
1.3.6.1.4.1.20003 2000300 PTK Centertel sp z o. o.
1.3.6.1.4.1.20004 2000400 HEUFT SYSTEMTECHNIK GMBH
1.3.6.1.4.1.20005 2000500 Air Products and Chemicals, Inc.
1.3.6.1.4.1.20006 nagios154 Nagios
1.3.6.1.4.1.20007 2000700 Kenati Technologies Inc.
1.3.6.1.4.1.20008 2000800 Toshiba Electronics Europe GmbH
1.3.6.1.4.1.20009 2000900 Beaver Creek Cooperative Telephone Company
1.3.6.1.4.1.20010 2001000 reuter network consulting
1.3.6.1.4.1.20011 2001100 System Business Consulting
1.3.6.1.4.1.20012 2001200 QinetiQ Ltd
1.3.6.1.4.1.20013 2001300 Vanguard Integrity Professionals
1.3.6.1.4.1.20014 2001400 Fernandez Industries Incorporated
1.3.6.1.4.1.20015 2001500 Ville d'Yverdon
1.3.6.1.4.1.20016 2001600 Mountain Top Applied Solutions, Inc.
1.3.6.1.4.1.20017 2001700 Dansk Netcenter APS
1.3.6.1.4.1.20018 2001800 River City Software Associates, Ltd.
1.3.6.1.4.1.20019 2001900 Antarctica Networks Ltd.
1.3.6.1.4.1.20020 2002000 Pacific Wave Solutions, Incorporated
1.3.6.1.4.1.20021 2002100 Boswell Online B.V.
1.3.6.1.4.1.20022 2002200 TETCO TECHNOLOGIES SA
1.3.6.1.4.1.20023 2002300 Rezel
1.3.6.1.4.1.20024 2002400 Proxyconn, Inc.
1.3.6.1.4.1.20025 2002500 Compusaurus Bt.
1.3.6.1.4.1.20026 2002600 RedeNetwork.com
1.3.6.1.4.1.20027 2002700 DENSEI-LAMBDA K.K.
1.3.6.1.4.1.20028 2002800 Line-tec, Inc.
1.3.6.1.4.1.20029 2002900 Mortara Instrument, Inc.
1.3.6.1.4.1.20030 2003000 ValidSoft Ltd
1.3.6.1.4.1.20031 2003100 Qnamic AG
1.3.6.1.4.1.20032 2003200 KISTER
1.3.6.1.4.1.20033 2003300 Dicr
1.3.6.1.4.1.20034 2003400 rjcdb.com
1.3.6.1.4.1.20035 2003500 Alexander Kellmann
1.3.6.1.4.1.20036 2003600 Advanced Control Technology, Inc.
1.3.6.1.4.1.20037 2003700 HISL Limited
1.3.6.1.4.1.20038 2003800 LithiumCorp Pty Ltd
1.3.6.1.4.1.20039 2003900 Shanghai Communications Technologies Center
1.3.6.1.4.1.20040 2004000 GUMC
1.3.6.1.4.1.20041 2004100 INGENION GmbH
1.3.6.1.4.1.20042 2004200 Hitel Italia S.p.A.
1.3.6.1.4.1.20043 2004300 Grupo 3A Recoletas
1.3.6.1.4.1.20044 20044, ekinops6433680 Ekinops SAS
1.3.6.1.4.1.20045 2004500 Corporate Express Promotional Marketing
1.3.6.1.4.1.20046 2004600 Pilgerer e.V
1.3.6.1.4.1.20047 2004700 theglobe.com
1.3.6.1.4.1.20048 2004800 Internet Broadcasting Systems
1.3.6.1.4.1.20049 2004900 GnuArch
1.3.6.1.4.1.20050 2005000 Western United Insurance